> ## Documentation Index
> Fetch the complete documentation index at: https://docs.subotiz.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Price Version

> Get Price Version detail

Get Price Version detail


## OpenAPI

````yaml openapi/v1-en.yaml GET /api/v1/prices/version/{price_version_id}
openapi: 3.0.3
info:
  title: Subotiz API
  description: Subotiz OpenAPI
  version: 1.0.0
servers:
  - url: https://{api}.subotiz.com
    variables:
      api:
        default: api
security:
  - sec0: []
tags:
  - name: Subscription
    description: Subscription
  - name: Price
    description: Price
  - name: Trade
    description: Trade
  - name: Payment
    description: Payment
  - name: Checkout Session
    description: Checkout Session
  - name: Customer
    description: Customer
  - name: Customer Portal
    description: Customer Portal
paths:
  /api/v1/prices/version/{price_version_id}:
    get:
      tags:
        - Price
      summary: Get Price Version
      description: Get Price Version detail
      operationId: v1-price-get-price-version
      parameters:
        - name: price_version_id
          in: path
          description: Pricing version ID
          required: true
          schema:
            type: string
        - $ref: '#/components/parameters/HeaderRequestID'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetPriceVersionResponse'
components:
  parameters:
    HeaderRequestID:
      name: Request-Id
      in: header
      description: The unique identifier of the request
      required: true
      schema:
        type: string
        default: 008e3967-a1b5-48bb-be14-d5bff5092e61
  schemas:
    GetPriceVersionResponse:
      type: object
      properties:
        code:
          type: string
          description: error code
        message:
          type: string
          description: error message
        data:
          $ref: '#/components/schemas/GetPriceVersionResponse_Data'
      description: Query pricing plan response
    GetPriceVersionResponse_Data:
      type: object
      properties:
        id:
          type: string
          description: Pricing plan ID
        price_name:
          type: string
          description: Pricing plan name
        price_alias:
          type: string
          description: Pricing plan alias
        product_id:
          type: string
          description: Associated product ID
        merchant_id:
          type: string
          description: Merchant ID
        currency:
          type: string
          description: Currency
        billing_type:
          type: string
          description: |-
            Billing type:
            - one_time: One-time billing
            - recurring: Recurring billing
        price_val:
          type: string
          description: One-time payment price, has value when `billing_type` is one_time
        description:
          type: string
          description: Pricing description
        price_plan:
          allOf:
            - $ref: '#/components/schemas/PricePlan'
          description: Pricing plan
        biz_status:
          type: string
          description: |-
            Status:
             - draft: Draft
             - active: Activated
             - frozen: Frozen
        has_trial:
          type: boolean
          description: Whether trial period is enabled
        trial_period:
          allOf:
            - $ref: '#/components/schemas/TrialPeriod'
          description: Trial period configuration
        created_at:
          type: string
          description: Creation time
        price_type:
          type: string
          description: Price Type
        usage_amount:
          type: string
          description: Usage Amount
        usage_unit:
          type: string
          description: Usage Unit
        model_type:
          type: string
          description: Model Type
        billing_threshold:
          type: string
          description: Billing Threshold
        trial_type:
          type: integer
          description: |-
            Trial type
             - 0: Free trial
             - 1: Paid trial
          format: int32
        trial_amount:
          type: string
          description: Trial amount
        metadata:
          type: object
          additionalProperties:
            type: string
          description: >-
            A set of key-value pairs that can be attached to an object, allowing
            you to store additional information in a structured format.
        price_version_id:
          type: string
          description: price version id
        product_version_id:
          type: string
          description: product version id
      description: Query pricing plan response
    PricePlan:
      type: object
      properties:
        price_plan_id:
          type: string
        plan_name:
          type: string
        billing_cycle_unit:
          type: string
        billing_cycle_count:
          type: integer
          format: int32
        is_infinite:
          type: boolean
        base_price_val:
          type: string
        plan_description:
          type: string
        price_plan_tiers:
          type: array
          items:
            $ref: '#/components/schemas/PricePlanTier'
      description: Price plan
    TrialPeriod:
      type: object
      properties:
        trial_period_unit:
          type: string
          description: 'Trial period unit, required, such as: day, week, month, etc.'
        trial_period_count:
          type: integer
          description: 'Trial period count, required, such as: 7 days, 1 month, etc.'
          format: int32
      description: TrialPeriod - Trial period configuration
    PricePlanTier:
      type: object
      properties:
        period_count:
          type: integer
          format: int32
        period_unit:
          type: string
        original_price:
          type: string
        due_price:
          type: string
        discount_type:
          type: string
        discount_value:
          type: string
      description: Price plan tier
  securitySchemes:
    sec0:
      type: http
      description: >-
        Bearer API Key authentication. Format: Authorization: Bearer
        {your_api_key}
      scheme: bearer

````